Get a Reddit user's profile by username or profile URL. Returns display name, followers, post and comment counts, post, comment, total and award karma, bio, avatar and banner, account creation date, and email-verified, verified, Premium, moderator, employee and NSFW flags.
curl "https://apidirect.io/v1/reddit/user?username=GallowBoob" \
-H "X-API-Key: YOUR_API_KEY"
{
"user": {
"username": "GallowBoob",
"display_name": "Rob",
"user_id": "iqsg6",
"description": "The internet was a mistake 🌍 Always remember the human.",
"follower_count": 33918,
"post_count": 12730,
"comment_count": 14642,
"link_karma": 35727417,
"comment_karma": 1110838,
"total_karma": 36838255,
"awardee_karma": 0,
"awarder_karma": 0,
"has_verified_email": true,
"verified": true,
"is_gold": true,
"is_mod": true,
"is_employee": false,
"nsfw": false,
"icon_img": "https://styles.redditmedia.com/t5_3kl0d/styles/profileIcon_c4zmya3oel6h1.png?width=256&height=256&crop=256:256,smart&s=e339a74eeb89afda40e7d2e7e8bcff8fa0437e94",
"banner_img": "https://styles.redditmedia.com/t5_3kl0d/styles/profileBanner_74ugoeyr5nif1.png?width=1280&height=384&crop=1280:384,smart&s=89d5e4516ff52160adb45cb005bf49402dbbfcc1",
"created_at": "2014-10-07 09:38:40",
"url": "https://www.reddit.com/user/GallowBoob"
}
}